Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.html
Class InputElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.InputElement

public class InputElement
extends SinglePartElement

An InputElement object is used to capture user input on an htmlKona FormElement. You build an htmlKona form by constructing a FormElement and adding InputElements to it.

The methods in this class allow you to set input attributes, such as length, border, width, height, and name. Use a FieldType object as an argument in constructing the InputElement to establish the type (button, checkbox, text, etc.) of an InputElement.

Author:
  Copyright (c) 1995-98, WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `FormElement`, `FieldType`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`InputElement()` Constructs an InputElement.
`InputElement(java.lang.String namestr)` Constructs an InputElement with the specified name.
`InputElement(java.lang.String namestr, FieldType typeval)` Constructs an InputElement with the specified name and of the specified type.
`InputElement(java.lang.String namestr, FieldType typeval, HtmlElement value)` Constructs an InputElement with the specified name and of the specified type, set to the specified HtmlElement.
`InputElement(java.lang.String namestr, FieldType typeval, java.lang.String val)` Constructs an InputElement with the specified name and of the specified type, set to the specified string.
`InputElement(java.lang.String namestr, FieldType typeval, java.lang.String value, HtmlElement label)` Constructs an InputElement with the specified name, type, and value, with the label set to the specified label.
`InputElement(java.lang.String namestr, FieldType typeval, java.lang.String value, java.lang.String label)` Constructs an InputElement with the specified name, type, and value, with the label set to the specified label.

Method Summary
`protected java.lang.String` | `getHtmlCode()`
`FieldType` | `getType()` Gets the FieldType associated with an InputElement.
`java.lang.String` | `getValue()` Gets the VALUE attribute of an InputElement, if one exists; otherwise, returns an empty string.
`protected boolean` | `printCR()`
`protected boolean` | `printEndingTag()`
`InputElement` | `setAccept(java.lang.String filetype)` Sets the ACCEPT attribute for FieldType.filetype InputElement.
`InputElement` | `setAlign(AlignType val)` Sets the alignment of an InputElement.
`InputElement` | `setBorder(int val)` Sets the BORDER attribute of an InputElement.
`InputElement` | `setChecked(boolean val)` Sets the CHECKED attribute of an InputElement.
`InputElement` | `setHeight(int val)` Sets the HEIGHT attribute of an InputElement.
`InputElement` | `setMaxlen(int val)` Sets the MAXLENGTH attribute of an InputElement.
`InputElement` | `setName(java.lang.String val)` Sets the NAME attribute of an InputElement.
`InputElement` | `setOnBlur(java.lang.String val)` Sets the ONBLUR attribute of an InputElement.
`InputElement` | `setOnChange(java.lang.String val)` Sets the ONCHANGE attribute of an InputElement.
`InputElement` | `setOnClick(java.lang.String val)` Sets the ONCLICK attribute of an InputElement.
`InputElement` | `setOnFocus(java.lang.String val)` Sets the ONFOCUS attribute of an InputElement.
`InputElement` | `setOnSelect(java.lang.String val)` Sets the ONSELECT attribute of an InputElement.
`InputElement` | `setSize(int val)` Sets the SIZE attribute of an InputElement.
`InputElement` | `setSource(java.lang.String val)` Sets the SRC attribute of an InputElement to a string enclosed in double quotes.
`InputElement` | `setTabindex(int tabindex)` Sets the tabbing order for an InputElement, which defines the order in which page elements get the focus when a user navigates the page with a keyboard.
`InputElement` | `setTabindex(java.lang.String tabindex)` Sets the TABINDEX attribute for an InputElement.
`InputElement` | `setType(FieldType val)` Sets the type of an InputElement.
`InputElement` | `setUnquotedSrc(HtmlElement src)` Sets the SRC attribute of an InputElement to an HtmlElement without double quotes.
`InputElement` | `setValue(int val)` Sets the VALUE attribute of an InputElement.
`InputElement` | `setValue(java.lang.String val)` Sets the VALUE attribute of an InputElement.
`InputElement` | `setWidth(int val)` Sets the WIDTH attribute of an InputElement.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InputElement

    public InputElement()

  Constructs an InputElement.

### InputElement

    public InputElement(java.lang.String namestr)

  Constructs an InputElement with the specified name.

  Parameters:
    `namestr` - Name of element

### InputElement

    public InputElement(java.lang.String namestr,
                        FieldType typeval)

  Constructs an InputElement with the specified name and of the specified type.

  Parameters:
    `namestr` - Name of element
    `typeval` - FieldType object

### InputElement

    public InputElement(java.lang.String namestr,
                        FieldType typeval,
                        HtmlElement value)

  Constructs an InputElement with the specified name and of the specified type, set to the specified HtmlElement.

  Parameters:
    `namestr` - Name of element
    `typeval` - FieldType object
    `value` - HtmlElement object

### InputElement

    public InputElement(java.lang.String namestr,
                        FieldType typeval,
                        java.lang.String value,
                        HtmlElement label)

  Constructs an InputElement with the specified name, type, and value, with the label set to the specified label.

  Parameters:
    `namestr` - Name of element
    `typeval` - FieldType object
    `val` - String value
    `label` - HtmlElement label

### InputElement

    public InputElement(java.lang.String namestr,
                        FieldType typeval,
                        java.lang.String value,
                        java.lang.String label)

  Constructs an InputElement with the specified name, type, and value, with the label set to the specified label.

  Parameters:
    `namestr` - Name of element
    `typeval` - FieldType object
    `val` - String value
    `label` - String label

### InputElement

    public InputElement(java.lang.String namestr,
                        FieldType typeval,
                        java.lang.String val)

  Constructs an InputElement with the specified name and of the specified type, set to the specified string.

  Parameters:
    `namestr` - Name of element
    `typeval` - FieldType object
    `val` - String

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Overrides:
    printCR in class ElementWithAttributes

### printEndingTag

    protected boolean printEndingTag()

  Overrides:
    printEndingTag in class ElementWithAttributes

### getType

    public FieldType getType()

  Gets the FieldType associated with an InputElement.

  Returns:
    FieldType

### getValue

    public java.lang.String getValue()

  Gets the VALUE attribute of an InputElement, if one exists; otherwise, returns an empty string.

  Returns:
    Value

### setAccept

    public InputElement setAccept(java.lang.String filetype)

  Sets the ACCEPT attribute for FieldType.filetype InputElement.

  Parameters:
    `filetype` - MIME content types in comma-separated list
  Returns:
    InputElement object

### setAlign

    public InputElement setAlign(AlignType val)

  Sets the alignment of an InputElement. In particular use this with FieldType.image.

  Parameters:
    `val` - AlignType object
  Returns:
    InputElement object

### setChecked

    public InputElement setChecked(boolean val)

  Sets the CHECKED attribute of an InputElement.

  Parameters:
    `val` - True if element should be checked
  Returns:
    InputElement object

### setTabindex

    public InputElement setTabindex(java.lang.String tabindex)

  Sets the TABINDEX attribute for an InputElement. The tabindex attribute determines the tabbing order of selectable or clickable elements on a page.

  Parameters:
    `tabindex` - Index
  Returns:
    AnchorElement object

### setTabindex

    public InputElement setTabindex(int tabindex)

  Sets the tabbing order for an InputElement, which defines the order in which page elements get the focus when a user navigates the page with a keyboard. This may be a positive or negative integer. Elements that are assigned the same tab index will be navigated in order of appearance on the page.

  Parameters:
    `tabindex` - int
  Returns:
    InputElement

### setType

    public InputElement setType(FieldType val)

  Sets the type of an InputElement.

  Parameters:
    `val` - FieldType object
  Returns:
    InputElement object

### setBorder

    public InputElement setBorder(int val)

  Sets the BORDER attribute of an InputElement.

  Parameters:
    `val` - Size of the border in pixels
  Returns:
    InputElement object

### setHeight

    public InputElement setHeight(int val)

  Sets the HEIGHT attribute of an InputElement.

  Parameters:
    `val` - Height of the input field
  Returns:
    InputElement object

### setMaxlen

    public InputElement setMaxlen(int val)

  Sets the MAXLENGTH attribute of an InputElement.

  Parameters:
    `val` - Max length of the input field
  Returns:
    InputElement object

### setName

    public InputElement setName(java.lang.String val)

  Sets the NAME attribute of an InputElement.

  Parameters:
    `val` - Name
  Returns:
    InputElement object

### setOnBlur

    public InputElement setOnBlur(java.lang.String val)

  Sets the ONBLUR attribute of an InputElement.

  Parameters:
    `val` - Response
  Returns:
    InputElement object

### setOnChange

    public InputElement setOnChange(java.lang.String val)

  Sets the ONCHANGE attribute of an InputElement.

  Parameters:
    `val` - Response
  Returns:
    InputElement object

### setOnClick

    public InputElement setOnClick(java.lang.String val)

  Sets the ONCLICK attribute of an InputElement.

  Parameters:
    `val` - Response
  Returns:
    InputElement object

### setOnFocus

    public InputElement setOnFocus(java.lang.String val)

  Sets the ONFOCUS attribute of an InputElement.

  Parameters:
    `val` - Response
  Returns:
    InputElement object

### setOnSelect

    public InputElement setOnSelect(java.lang.String val)

  Sets the ONSELECT attribute of an InputElement.

  Parameters:
    `val` - Response
  Returns:
    InputElement object

### setSize

    public InputElement setSize(int val)

  Sets the SIZE attribute of an InputElement.

  Parameters:
    `val` - Size
  Returns:
    InputElement object

### setSource

    public InputElement setSource(java.lang.String val)

  Sets the SRC attribute of an InputElement to a string enclosed in double quotes.

  Parameters:
    `val` - Source
  Returns:
    InputElement object

### setUnquotedSrc

    public InputElement setUnquotedSrc(HtmlElement src)

  Sets the SRC attribute of an InputElement to an HtmlElement without double quotes.

  Parameters:
    `src` - HtmlElement
  Returns:
    InputElement

### setValue

    public InputElement setValue(java.lang.String val)

  Sets the VALUE attribute of an InputElement. If val is `null`, the VALUE attribute is removed. Use "" to set `value` to an empty string.

  Parameters:
    `val` - Value
  Returns:
    InputElement object

### setValue

    public InputElement setValue(int val)

  Sets the VALUE attribute of an InputElement.

  Parameters:
    `val` - Value
  Returns:
    InputElement object

### setWidth

    public InputElement setWidth(int val)

  Sets the WIDTH attribute of an InputElement.

  Parameters:
    `val` - Width of the input field
  Returns:
    InputElement object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD